petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPComputeExplicitOperator

Computes the explicit preconditioned operator, including diagonal scaling and null space removal if applicable.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPComputeExplicitOperator(KSP ksp,Mat *mat)

Collective on KSP Many br

### Input Parameter

ksp -the Krylov subspace context Many br

### Output Parameter

mat -the explict preconditioned operator Many br

### Notes

This computation is done by applying the operators to columns of the Many bridentity matrix. Many br

Currently, this routine uses a dense matrix format when 1 processor Many bris used and a sparse format otherwise. This routine is costly in general, Many brand is recommended for use only with relatively small systems. Many br

Many br

### Keywords

KSP, compute, explicit, operator

### See Also

KSPComputeEigenvaluesExplicitly(), PCComputeExplicitOperator(), KSPSetDiagonalScale(), KSPSetNullSpace()

Level:advanced
Location:src/ksp/ksp/interface/eige.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages